from django.test import TestCase
from selenium import webdriver
import unittest
from django.urls import resolve
from .views import home_page

class NewVisitorTest(unittest.TestCase):
    def setUp(self):
        self.browser = webdriver.Firefox()

    def tearDown(self):
        self.browser.quit()

    def test_can_display_a_heroes_list_and_more_information_per_hero(self):
        self.browser.get('http://localhost:8000/heroes')
        homePageHeader = self.browser.find_element_by_id('homePageHeader')
        self.assertEqual(homePageHeader.get_attribute('innerHTML'), 'The Will of the Wisps Wiki')

    def check_cloud_in_home_page(self):
        self.browser.get('http://localhost:8000')
        cloudName = self.browser.find_element_by_id('cloudName')
        self.assertEqual(cloudName.get_attribute('innerHTML'), 'Cloud')
        cloudHealth = self.browser.find_element_by_id('cloudHealth')
        self.assertEqual(cloudHealth.get_attribute('innerHTML'), '600')
        cloudAttack = self.browser.find_element_by_id('cloudAttack')
        self.assertEqual(cloudAttack.get_attribute('innerHTML'), '57')

    def check_jester_in_home_page(self):
        self.browser.get('http://localhost:8000')
        jesterName = self.browser.find_element_by_id('jesterName')
        self.assertEqual(jesterName.get_attribute('innerHTML'), 'Jester')
        jesterHealth = self.browser.find_element_by_id('jesterHealth')
        self.assertEqual(jesterHealth.get_attribute('innerHTML'), '660')
        jesterAttack = self.browser.find_element_by_id('jesterAttack')
        self.assertEqual(jesterAttak.get_attribute('innerHTML'), '64')

    def check_sunflowey_in_home_page(self):
        self.browser.get('http://localhost:8000')
        sunfloweyName = self.browser.find_element_by_id('sunfloweyName')
        self.assertEqual(jesterName.get_attribute('innerHTML'), 'Sunflowey')
        sunfloweyHealth = self.browser.find_element_by_id('sunfloweyHealth')
        self.assertEqual(sunfloweyHealth.get_attribute('innerHTML'), '650')
        sunfloweyAttack = self.browser.find_element_by_id('sunfloweyAttack')
        self.assertEqual(sunfloweyAttack.get_attribute('innerHTML'),'43')

    def check_cloud_page_title_and_heading(self):
        self.browser.get('http://localhost:8000/hero/cloud')
        cloudTitle = self.browser.find_element_by_id('cloudTitle')
        self.assertEqual(cloudTitle.get_attribute('innerHTML'), 'Detail - Cloud')
        cloudHeader = self.browser.find_element_by_id('cloudHeader')
        self.assertEqual(cloudHeader.get_attribute('innerHTML'), 'Detail - Cloud')

    def check_jester_page_title_and_heading(self):
        self.browser.get('http://localhost:8000/hero/jester')
        jesterTitle = self.browser.find_element_by_id('jesterTitle')
        self.assertEqual(jesterTitle.get_attribute('innerHTML'), 'Detail - Jester')
        jesterHeader = self.browser.find_element_by_id('jesterHeader')
        self.assertEqual(jesterHeader.get_attribute('innerHTML'), 'Detail - Jester')

    def check_sunflowey_page_title_and_heading(self):
        self.browser.get('http://localhost:8000/hero/sunflowey')
        sunfloweyTitle = self.browser.find_element_by_id('sunfloweyTitle')
        self.assertEqual(sunfloweyTitle.get_attribute('innerHTML'), 'Detail - Sunflowey')
        sunfloweyHeader = self.browser.find_element_by_id('sunfloweyHeader')
        self.assertEqual(sunfloweyHeader.get_attribute('innerHTML'), 'Detail - Sunflowey')

    def check_button(self):
        homeButton = self.browser.find_element_by_id('homeButton').click()
        self.assertEqual(resolve('/').func, home_page)

if __name__ == '__main__':
    unittest.main(warnings='ignore')



# Create your tests here.
